### Constructor

# Gtk Picture new_for_resource

#### Declaration [src]

    GtkWidget*
    gtk_picture_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a new `GtkPicture` displaying the resource at `resource_path`.

This is a utility function that calls `gtk_picture_new_for_file()`. See that function for details.

#### Parameters

`resource_path`

  Type: `const char*`

  Resource path to play back.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `GtkPicture`

The data is owned by the called function.